aboutsummaryrefslogtreecommitdiff
path: root/testdummy.sh
diff options
context:
space:
mode:
authorFranklin Wei <me@fwei.tk>2018-07-02 14:31:20 -0400
committerFranklin Wei <me@fwei.tk>2018-07-02 14:31:20 -0400
commit4d780768c7fd6378b30ef5a1fee348b2c925b20d (patch)
tree0e02d45a4f36c144d41f5b399dc1c0f277c334ff /testdummy.sh
parent09dda04a8e64c308cf25e5078bcf1056affb5703 (diff)
downloadcsaa-4d780768c7fd6378b30ef5a1fee348b2c925b20d.zip
csaa-4d780768c7fd6378b30ef5a1fee348b2c925b20d.tar.gz
csaa-4d780768c7fd6378b30ef5a1fee348b2c925b20d.tar.bz2
csaa-4d780768c7fd6378b30ef5a1fee348b2c925b20d.tar.xz
Clean up test scripts a little
Diffstat (limited to 'testdummy.sh')
-rwxr-xr-xtestdummy.sh7
1 files changed, 7 insertions, 0 deletions
diff --git a/testdummy.sh b/testdummy.sh
index 2623601..547c510 100755
--- a/testdummy.sh
+++ b/testdummy.sh
@@ -1,7 +1,14 @@
#!/bin/bash
+if [[ $# -ne 1 ]]
+then
+ echo "Usage: "$0" LOGLEAVES"
+ exit 1
+fi
+echo "Initializing..."
./dummy_server 10 csaa.db --overwrite > /dev/null &
pid=$!
sleep 5
time ./testcreate.sh ./dummy_client
time ./testmodify.sh ./dummy_client
+time ./testretrieve.sh ./dummy_client
kill -SIGINT $!